Subject: [Fwd: I-D Action: draft-ietf-6man-why64-02.txt]

From: Brian E Carpenter <[email-masked]>
Date: Sat, 16 Aug 2014 13:51:02 +1200

This version is intended to respond to all the WG last call
comments and reviews. Here are the changes:

- numerous editorial improvements
- numerous small technical clarifications
- added reference to HD ratio
- expanded MLD text
- added text on duplicate address issue

Comments welcome.

  Brian + co-authors

-------- Original Message --------
Subject: I-D Action: draft-ietf-6man-why64-02.txt
Date: Fri, 15 Aug 2014 18:48:49 -0700
From: [email-masked]
To: [email-masked]
CC: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Maintenance Working Group of the IETF.

        Title           : Analysis of the 64-bit Boundary in IPv6 Addressing
        Authors         : Brian Carpenter
                          Tim Chown
                          Fernando Gont
                          Sheng Jiang
                          Alexandru Petrescu
                          Andrew Yourtchenko
	Filename        : draft-ietf-6man-why64-02.txt
	Pages           : 24
	Date            : 2014-08-15

Abstract:
   The IPv6 unicast addressing format includes a separation between the
   prefix used to route packets to a subnet and the interface identifier
   used to specify a given interface connected to that subnet.
   Currently the interface identifier is defined as 64 bits long for
   almost every case, leaving 64 bits for the subnet prefix.  This
   document describes the advantages of this fixed boundary and analyses
   the issues that would be involved in treating it as a variable
   boundary.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-6man-why64/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-6man-why64-02

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-6man-why64-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Mark ZZZ Smith <[email-masked]>
Date: Wed, 20 Aug 2014 04:04:51 -0700

Hi,

I'm happy with the changes.

Minor nit, duplicate 'the'

" At the *the* time of publication 
     of RFC 2710, the IPv6 addressing architecture specified link-local 
     addresses with 64-bit interface identifiers. "

Regards,
Mark.

----- Original Message -----
> From: Brian E Carpenter <[email-masked]>
> To: 6man <[email-masked]>
> Cc: 
> Sent: Saturday, 16 August 2014 11:51 AM
> Subject: [Fwd: I-D Action: draft-ietf-6man-why64-02.txt]
> 
>T his version is intended to respond to all the WG last call

---

From: Mark ZZZ Smith <[email-masked]>
Date: Wed, 20 Aug 2014 04:25:20 -0700

----- Original Message -----
> From: Mark ZZZ Smith <[email-masked]>
> To: Brian E Carpenter <[email-masked]>; 6man <[email-masked]>
> Cc: 
> Sent: Wednesday, 20 August 2014 9:04 PM
> Subject: Re: [Fwd: I-D Action: draft-ietf-6man-why64-02.txt]
> 
> Hi,
> 

(And my original mistake. I'll have to start doing detailed reviews of my detailed reviews ;-) )

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Aug 2014 08:49:59 +1200

Thanks thanks Mark ;-)

   Brian

---

From: Karsten Thomann <[email-masked]>
Date: Sat, 23 Aug 2014 15:13:45 +0200

Hi,

two other nits
Section 2.
   o  Adding a subnet is easy - just take another /64 from the pool.  No
      estimates, calculations, consideration or judgment is needed.
missing "e" in "judgment"

Section 4.3.1
   o  the "L bit in the Prefix Information Options is honored for any
      arbitrary prefix length (whether shorter or longer than /64).
To be consistent with the point before this it should be "L" instead of "L.

Karsten

Am Donnerstag, 21. August 2014, 08:49:59 schrieb Brian E Carpenter:
> > (And my original mistake. I'll have to start doing detailed reviews of my
> > detailed reviews ;-) )> 
> >> Regards,
> >> Mark.
> >> 
> >> 
> >> 
> >> 
> >>>  A New Internet-Draft is available from the on-line Internet-Drafts
> >> 
> >> directories.
> >> 
> >>>  This draft is a work item of the IPv6 Maintenance Working Group of 
the
> >> 
> >> IETF.
> >> 
> >>>          Title           : Analysis of the 64-bit Boundary in IPv6
> >> 
> >> Addressing
> >> 
> >>>  Please note that it may take a couple of minutes from the time of
> >> 
> >> submission
> >>